Name:          jgoodies-validation
Version:       2.3.2
Release:       %mkrel 1
Summary:       JGoodies Validation
Group:         Development/Java
License:       BSD
Url:           http://www.jgoodies.com/
Source0:       http://www.jgoodies.com/download/libraries/validation/jgoodies-validation-2_3_2.zip
# https://svn.java.net/svn/validation~svn/trunk/conf/maven-pom-template.xml
Source1:       jgoodies-validation-pom-template.xml
BuildRequires: jpackage-utils >= 0:1.6
BuildRequires: java-rpmbuild >= 0:1.4
BuildRequires: ant
BuildRequires: jgoodies-common
Requires:      jgoodies-common
Requires:      java >= 0:1.4
Requires:      jpackage-utils
BuildArch:     noarch

%description
The JGoodies Validation helps you validate user input 
in Swing apps and report validation errors and warnings. 
It has been designed to work with different architectures and 
programming flavors.

%package javadoc
Summary:       Javadoc documentation for JGoodies Validation
Group:         Development/Java

%description javadoc
This package contains the Javadoc documentation for JGoodies Validation.

%prep
%setup -q

# Delete pre-generated stuff we don't want
find -name "*.jar" -exec rm -f {} \;
rm -r docs/api docs/images/*.db

%build
%ant \
  -Dlib.common.jar=$(build-classpath jgoodies-common) \
  -Ddescriptors.dir=. compile jar javadoc

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p  %{buildroot}%{_javadir}
install -m 644 build/%{name}.jar %{buildroot}%{_javadir}/%{name}-%{version}.jar
ln -s %{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr build/docs/api/* %{buildroot}%{_javadocdir}/%{name}

# Fix the line endings!
for file in *.txt *.html docs/*.* ; do
    sed -i 's/\r//' $file
done

mkdir -p %{buildroot}%{_mavenpomdir}
install -m 644 %{SOURCE1} %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
sed -i "s|@version@|%{version}|" %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar
#add_to_maven_depmap jgoodies validation %{version} JPP %{name}

%clean
[ %{buildroot} != / ] && rm -rf %{buildroot}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/%{name}.jar
%{_javadir}/%{name}-%{version}.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc RELEASE-NOTES.txt LICENSE.txt README.html docs/

%files javadoc
%{_javadocdir}/%{name}


%changelog

* Mon Nov 07 2011 gil <gil> 2.3.2-1.mga2
+ Revision: 164822
- imported package jgoodies-validation

